#-----------------------------------------------------------------------------
# Get rid of IK on all figures in the scene.
# Copyright (c) 2002, Ockham (David G. Drumright)
#-----------------------------------------------------------------------------

import poser
scene = poser.Scene()
scene.SetFrame(0)

#-----------------------------------------------------------------------------
# For all figures in scene, set all IkChains off.
#-----------------------------------------------------------------------------
for OneFig in scene.Figures():
  for OneIK in range(OneFig.NumIkChains()):
      OneFig.SetIkStatus(OneIK,0)

# That's all, folks!
#-----------------------------------------------------------------------------
